Skip to main content

Auvious Auth Server API v2.1.11

Auvious Auth Server provides the core security related services.

info

You are viewing REST API documentation. This documentation is auto-generated from a swagger specification which itself is generated from annotations in the source code of the project. It is possible that this documentation includes bugs and that code samples are incomplete or wrong.

Authentication​

  • HTTP Authentication, scheme: bearer
  • OAuth 2.0 Authorization.
    • Flow: clientCredentials

    • OAuth 2.0 Token URL = /oauth/token

    • OAuth 2.0 Scope

      ScopeScope Description

Otp Verification Service​

Verify an otp​

POST https://auvious.video/api/otp/verify HTTP/1.1
Host: auvious.video
Content-Type: application/json

Verify an otp verification code.

Request body​

{
"to": "+306957206309",
"code": "123456",
"verificationId": "1234567890"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyVerifyOtpCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
204No ContentNo ContentNone
caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/api/otp/verify \
-H 'Content-Type: application/json' \ -H 'Authorization: Bearer {access-token}'

Request an otp​

POST https://auvious.video/api/otp HTTP/1.1
Host: auvious.video
Content-Type: application/json
Accept: */*

Request a otp verification code. Returns an otp verification id which should be passed on calls that are protected with otp.

Request body​

{
"to": "+306957206309",
"channel": "SMS",
"customName": "hello, world",
"locale": "en"
}

Parameters​

ParameterInTypeRequiredDescription
bodybodyRequestOtpCommandtruenone

Responses​

Overview​
StatusMeaningDescriptionSchema
200OKOKOtpRequestResult
Examples​

200 Response

caution

To perform this operation, you must be authenticated by means of one of the following methods: BearerToken, OAuth2ClientCredentials

Code samples​

curl -X POST https://auvious.video/api/otp \
-H 'Content-Type: application/json' \ -H 'Accept: */*' \ -H 'Authorization: Bearer {access-token}'

Schemas​

VerifyOtpCommand​

{
"to": "+306957206309",
"code": "123456",
"verificationId": "1234567890"
}

Properties​

NameTypeRequiredRestrictionsDescription
tostringtruenoneUser msisdn or email
codestringtruenoneThe otp code
verificationIdstringtruenoneVerification id
Enumerated Values​
PropertyValue
toany phone number, or email if supported

RequestOtpCommand​

{
"to": "+306957206309",
"channel": "SMS",
"customName": "hello, world",
"locale": "en"
}

Request OTP command

Properties​

NameTypeRequiredRestrictionsDescription
tostringtruenoneWhere to?
channelstringfalsenoneChannel to use
customNamestringfalsenonecustom name to use instead of default (max 30 characters)
localestringfalsenonelocale to use
Enumerated Values​
PropertyValue
toany phone number, or email if supported
channelSMS
customNameany string, but keep it short
localeaf, ar, ca, cs, da, de, el, en, en-GB, es, fi, fr, he, hi, hr, hu, id, it, ja, ko, ms, nb, nl, pl, pt, pr-BR, ro, ru, sv, th, tl, tr, vi, zh, zh-CN, or zh-HK.

OtpRequestResult​

{
"id": "string"
}

Properties​

NameTypeRequiredRestrictionsDescription
idstringfalsenonenone